udapi
udapi
pypi i udapi
udapi

udapi

Python framework for processing Universal Dependencies data

by udapi

0.3.0 (see all)
pypi i udapi
Readme

udapi-python

Python framework for processing Universal Dependencies data

Build Status Website Documentation Status

Requirements

  • You need Python 3.6 or higher.
  • If the ufal.udpipe parser is needed, make sure you have a C++11 compiler (e.g. g++ 4.7 or newer) and install UDPipe with pip3 install --user --upgrade ufal.udpipe.

Install Udapi for developers

Let's clone the git repo to ~/udapi-python/, install dependencies and setup $PATH and $PYTHONPATH accordingly.

cd
git clone https://github.com/udapi/udapi-python.git
pip3 install --user -r udapi-python/requirements.txt
echo '## Use Udapi from ~/udapi-python/ ##'                >> ~/.bashrc
echo 'export PATH="$HOME/udapi-python/bin:$PATH"'          >> ~/.bashrc
echo 'export PYTHONPATH="$HOME/udapi-python/:$PYTHONPATH"' >> ~/.bashrc
source ~/.bashrc # or open new bash

Install Udapi for users

This is similar to the above, but installs Udapi from PyPI to the standard (user) Python paths.

pip3 install --user --upgrade udapi

Try udapy -h to check it is installed correctly. If it fails, make sure your PATH includes the directory where pip3 installed the udapy script. Usually, this results in

export PATH="$HOME/.local/bin/:$PATH"
VersionTagPublished
0.3.0
10mos ago
0.2.3
2yrs ago
0.2.2
5yrs ago
0.2.1
5yrs ago
No alternatives found
No tutorials found
Add a tutorial
No dependencies found

Rate & Review

100
No reviews found
Be the first to rate